This URL retrieves the DoS profiles on the Manager for Sensors.
Resource URL
GET /sensor/<sensor_id>/dosprofilesonmanager
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| sensorId | Sensor id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| DosProfilesOnManager | The DoS profiles on the Manager for Sensors | Object |
Details of DosProfilesOnManager:
| Field Name | Description | Data Type |
|---|---|---|
| dosProfiles | List of DoS profiles | StringList |
Example
Request
GET https://<NSM_IP>/sdkapi/sensor/1002/dosprofilesonmanager
Response
{
"dosProfiles":
[
"profile_Thu_Apr_24_17_50_16_IST_2014.dat.gz",
"profile_Thu_Apr_24_17_50_35_IST_2014.dat.gz"
]
}
Error Information
Following error code is returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 404 | 1106 | Invalid Sensor |